* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    font-family: 'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif;
}

body {
    display: flex;
    height: 100vh;
    justify-content: center;
    align-items: center;
    background-color: #ffbd59;
    background-size: cover;
}

.container {
    padding: 50px 20px;
    /* background-color: #222831; */
    background-color: #ffbd59;
    min-height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
}

.container .content {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    grid-gap: 30px;
    justify-content: center;
    align-items: center;
    margin: 35px 0px;
}

.right-konten, .left-konten {
    background-color: #222831;
    border: 1px solid white;
    padding: 50px;
    max-height: 500px;
    min-height: 500px;
}

.left-konten {
    border: 1px solid white;
    padding: 50px;
    overflow: scroll;
}

.edit-data {
    display: none;
}

.form-title {
    font-size: 26px;
    font-weight: 600;
    text-align: center;
    padding-bottom: 6px;
    color: white;
    text-shadow: 2px 2px 2px black;
    border-bottom: solid 1px white;
}

.form-title2 {
    font-size: 26px;
    font-weight: 600;
    text-align: center;
    padding-bottom: 6px;
    color: white;
    text-shadow: 2px 2px 2px black;
    border-bottom: solid 1px white;
    margin-top: -25px;
}

.form-title3 {
    font-size: 26px;
    font-weight: 600;
    text-align: center;
    padding-bottom: 6px;
    color: white;
    text-shadow: 2px 2px 2px black;
    border-bottom: solid 1px white;
}

.main-user-info {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    padding: 20px 0;
}

.main-edit-info {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    padding: 20px 0;
}

.user-input-box {
    width: 50%;
    padding-bottom: 5px;
}

.user-input-box label {
    color: white;
    font-size: 20px;
    font-weight: 400;
    margin: 5px 0;
}

.user-input-box input {
    height: 40px;
    width: 95%;
    border-radius: 7px;
    outline: none;
    border: 1px solid white;
    padding: 0 10px;
}

.user-edit-box {
    width: 45%;
    padding-bottom: 5px;
}

.user-edit-box label {
    width: 100%;
    color: white;
    font-size: 20px;
    font-weight: 400;
    margin: 5px 0;
}

.user-edit-box input {
    height: 40px;
    width: 100%;
    border-radius: 7px;
    outline: none;
    border: 1px solid white;
    padding: 0 10px;
}

.form-cancel-btn input,
.form-submit-btn input {
    cursor: pointer;
}

.form-submit-btn {
    margin-top: 20px;
}

.form-submit-btn input {
    display: block;
    width: 100%;
    margin-top: 10px;
    font-size: 20px;
    padding: 10px;
    border: none;
    border-radius: 3px;
    color: rgb(209, 209, 209);
    background: rgba(63, 114, 76, 0.7);
}

.form-submit-btn input:hover {
    background: rgba(56, 204, 93, 0.7);
    color: white;
}

.form-cancel-btn {
    margin-top: 10px;
}

.form-cancel-btn a {
    text-decoration: none;
}

.form-cancel-btn input {
    display: block;
    width: 100%;
    margin-top: 10px;
    font-size: 20px;
    padding: 10px;
    border: none;
    border-radius: 3px;
    color: rgb(209, 209, 209);
    background: rgba(114, 63, 76, 0.7);
    cursor: pointer;
}

.form-cancel-btn input:hover {
    background: red;
    color: white;
}

.button {
    display: flex;
    justify-content: end;
}

.button-add, .button-update {
    width: 35%;
    background-color: #5DAE8B;
    border: 1px solid #5DAE8B;
    color: white;
    align-items: end;
}

.button-update {
    background-color: #3E6D9C;
}

.error {
    display: none;
    width: 100%;
    margin: 15px 0px;
    padding: 5px 0px;
    text-align: center;
    border-radius: 5px;
    background-color: #E72929;
}

table {
    width: 100%;
    text-align: center;
    border: 1px solid white;
}

thead {
    font-size: large;
    font-weight: bold;
    border: 1px solid black;
    background-color: #76ABAE;
}

td {
    padding: 5px;
}

tbody {
    color: white;
}

.btn {
    /* border: 1px solid black; */
    text-decoration: none;
    border-radius: 2px;
    color: white;
    margin: 0px 15px;
    padding: 4px 8px;
}
.button-edit:hover, 
.button-delete:hover, 
.button-add:hover,
.button-update:hover {
    color: black;
}

.button-edit {
    background-color: #3E6D9C;
}
.button-delete {
    background-color: #E72929;
}

@media (max-width: 250px) {
    .container {
        padding: 5px 20px;
    }
    .content {
        grid-template-columns: repeat(1, 1fr);
        grid-gap: 15px;
        overflow: auto;
    }
    .right-konten, .left-konten {
        max-height: 50%;
        min-height: 350px;
        margin: 0px;
        padding: 0px;
    }
    .right-konten {
        overflow: scroll;
    }
    .left-konten {
        /* padding: 50px 15px; */
        border: 1px solid red;
    }
    .btn {
        display: inline-block;
        margin: 2px 15px;
        padding: 4px 8px;
    }
}

@media (max-width: 400px) {
    .container {
        padding: 5px 20px;
    }
    .content {
        grid-gap: 15px;
        overflow: auto;
    }

    .left-konten {
        padding: 50px 15px;
        border: 1px solid red;
    }
    .btn {
        display: inline-block;
        margin: 2px 15px;
        padding: 4px 8px;
    }
}

@media (max-width: 576px) {
    .container {
        padding: 5px 20px;
    }
    .content {
        grid-gap: 15px;
        overflow: auto;
    }

    .user-input-box label{
        font-size: 12px;
    }

    .left-konten {
        padding: 50px 15px;
        border: 1px solid red;
    }
    .btn {
        display: inline-block;
        margin: 2px 15px;
        padding: 4px 8px;
    }
}

@media (max-width: 768px) {
    .container {
        padding: 5px 20px;
    }
    .content {
        grid-template-columns: repeat(1, 1fr);
        grid-gap: 15px;
    }

    .left-konten {
        padding: 50px 15px;
        border: 1px solid red;
    }
    .btn {
        display: inline-block;
        margin: 2px 15px;
        padding: 4px 8px;
    }
}

@media (max-width: 992px) {
    .container {
        padding: 5px 20px;
    }

    .container .content {
        grid-template-columns: repeat(1, 1fr);  
        margin-top: 500px;  
    }

    .left-konten {
        padding: 50px 15px;
        border: 1px solid red;
    }
    .btn {
        display: inline-block;
        margin: 2px 0px;
    }
}

/* @media (max-width : 768px) {

    .container {
        width: 85%;
        height: 70rem;
    }
    
    .container .content {
        overflow: auto;
        grid-template-columns: repeat(1, 1fr);
        margin-top: 220px;
        margin-bottom: 0;
    }

    .user-input-box {
        margin-bottom: 8px;
    }

    .form-cancel-btn {
        margin-bottom: 15px;
    }
}

@media(max-width : 425px) {
    .container .content {
        max-width: min-content;
    }
} */